#!/bin/sh

PATH="$PATH:."
if [ -z "$1" ]
then
	echo "Specify system name" >&2
	exit 1
fi
if [ -z "$messdir" ]
then
	. ./messenv.sh
fi

"$messdir"/mess -listxml "$1" | grep -F '<year>
<manufacturer>
<chip type=
<display type=
<sound channels=
<driver status=' | sed 's%</.*%%' | sed 's%/>$%%' | tr -d '\011' | sed 's%^<%%' | tr '<' ' ' | sed 's%>%: %' | sed 's%" %"\
 %g' | sed 's%type=%%' | tr -d '"'
echo
"$messdir"/mess -listdevices "$1" | cut -c13-
