#!/bin/sh

if [ -z "$1" ]
then
	echo "Specify system name" >&2
	exit 1
fi
if [ -z "$messdir" ]
then
	. ./messenv.sh
fi
"$messdir"/mess "$1" -listdevices | tail +3 | cut -d'(' -f1 | sed 's/ *$//' | sed 's/.* //' >/tmp/messdevs$$
cat /tmp/messdevs$$ | grep '^flop'
cat /tmp/messdevs$$ | grep '^slot'
cat /tmp/messdevs$$ | grep '^hard'
cat /tmp/messdevs$$ | grep '^cart'
cat /tmp/messdevs$$ | grep -v '^cart' | grep -v '^hard' | grep -v '^slot' | grep -v '^flop'
rm /tmp/messdevs$$
